/**
 /**
 * penguins-eggs
 * class: systemctl.ts
 * author: Piero Proietti
 * email: piero.proietti@gmail.com
 * Presa da https://github.com/VolantisDev/node-systemctl
 * license: MIT
 */
export default class SistemdCtl {
    echo: {};
    constructor(verbose?: boolean);
    /**
     *
     */
    disable(service: string, chroot?: string, report?: boolean): Promise<void>;
    /**
     *
     */
    enable(service: string, chroot?: string, report?: boolean): Promise<void>;
    /**
     *
     * @param service
     * @returns
     */
    isActive(service: string): Promise<unknown>;
    /**
     *
     */
    isEnabled(service: string): Promise<unknown>;
    /**
     *
     */
    reload(service: string): Promise<void>;
    /**
     *
     */
    restart(service: string): Promise<void>;
    /**
     *
     */
    start(service: string): Promise<void>;
    /**
     *
     */
    stop(service: string): Promise<void>;
}
